CREATE TABLE schema_migrations (
	'version' INTEGER NOT NULL
);

CREATE TABLE friends (
	'_id' INTEGER PRIMARY KEY AUTOINCREMENT,
	'contact_id' INTEGER,
	'id' INTEGER NOT NULL,
	'type' INTEGER NOT NULL,
	'uuid' TEXT,
	'phone_number' TEXT NOT NULL,
	'raw_phone_number' TEXT,
	'name' TEXT NOT NULL,
	'profile_image_url' TEXT,
	'status_message' TEXT,
	'chat_id' INTEGER NOT NULL,
	'brand_new' INTEGER NOT NULL,
	'blocked' INTEGER NOT NULL,
	'favorite' INTEGER NOT NULL,
	'position' INTEGER NOT NULL
);
CREATE UNIQUE INDEX friends_index1 ON friends(id);
CREATE INDEX friends_index2 ON friends(name);
CREATE INDEX friends_index3 ON friends(phone_number);
CREATE INDEX friends_index4 ON friends(contact_id);
CREATE INDEX friends_index5 ON friends(brand_new);
CREATE INDEX friends_index6 ON friends(position);

CREATE TABLE chat_rooms (
  '_id'        INTEGER PRIMARY KEY AUTOINCREMENT,
  'id'          INTEGER,
  'type'       TEXT,
  'title'       TEXT,
  'members'     TEXT,
  'active_member_ids' TEXT,
  'last_log_id',    INTEGER,
  'last_message'    TEXT,
  'last_updated_at' INTEGER,
  'unread_count'    INTEGER,
  'watermarks'    TEXT,
  'temporary_message' TEXT
);
CREATE UNIQUE INDEX chat_rooms_index1 ON chat_rooms(id);
CREATE INDEX chat_rooms_index2 ON chat_rooms(last_updated_at);
CREATE INDEX chat_rooms_index3 ON chat_rooms(title);
CREATE INDEX chat_rooms_index4 ON chat_rooms(unread_count);

CREATE TABLE chat_logs (
  '_id'        INTEGER PRIMARY KEY AUTOINCREMENT,
  'id'          INTEGER,
  'type'        INTEGER,
  'chat_id'     INTEGER,
  'user_id'     INTEGER,
  'message'     TEXT,
  'attachment'    TEXT,
  'created_at'    INTEGER
);
CREATE UNIQUE INDEX chat_logs_index1 ON chat_logs(chat_id, id);
CREATE INDEX chat_logs_index2 on chat_logs(chat_id);
CREATE INDEX chat_logs_index3 on chat_logs(created_at);

CREATE TABLE chat_sending_logs (
  '_id'        INTEGER PRIMARY KEY AUTOINCREMENT,
  'type'        INTEGER,
  'chat_id'     INTEGER,
  'message'     TEXT,
  'attachment'    TEXT,
  'status'      INTEGER,
  'offset'      INTEGER,
  'created_at'    INTEGER
);
CREATE INDEX chat_sending_logs_index1 on chat_sending_logs(chat_id);
